
QGIS Application - Bug report #12809

Add New Script from File has Python Error

2015-05-22 05:08 AM - Lucy Arnold

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20905

Description

Downloaded 2.8.2 and swapped for 2.8.1. Tried to add in a script from file and get the following error in a python error window that pops

up immediately.  Reverted to version 2.8.1, same error. Downloaded 2.8.2 on another computer that had never had QGIS on it and got the

same error, friend with 2.8.1 doesn't get error (windows 7 OS etc. same version on both computers and my old 2.8.1 worked before I tried

downloading QGIS again).

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/a.user/.qgis2/python/plugins\\processing\\gui\\ProcessingToolbox.py", line 219, in executeAlgorithm

    action.execute()

  File "C:/Users/a.user/.qgis2/python/plugins\\processing\\script\\AddScriptFromFileAction.py", line 45, in execute

    settings = QSettings()

NameError: global name 'QSettings' is not defined

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.8.1-Wien Wien, exported

Python path: ['C:/Users/a.user/.qgis2/python/plugins\\\\processing', (etc - I removed the rest to keep note short).

History

#1 - 2015-05-22 05:28 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Category set to Processing/Core

- Assignee set to Victor Olaya

- Target version set to Future Release - High Priority

- Affected QGIS version changed from 2.8.2 to master

I confirm the issue on qgis master.

you can probably get rid of the issue my not upgrading the processing plugin or if you already did it by removing the "processing" folder you find it in

.qgis2/python/plugins

#2 - 2015-05-22 06:30 AM - Lucy Arnold
Removed "processing" folder from stated location and all is good, thanks.

#3 - 2015-05-22 07:14 AM - Victor Olaya

this was fixed in commit:4d62566db702843f78154e76d0d3bc3e65c8556c

#4 - 2015-05-22 07:49 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

#5 - 2015-05-26 06:34 AM - Saber Razmjooei

- Status changed from Closed to Reopened

The problem is still there in the latest update to the processing plugin.

#6 - 2015-05-26 12:15 PM - Giovanni Manghi

- Resolution deleted (fixed/implemented)

- Status changed from Reopened to Feedback

Saber Razmjooei wrote:

The problem is still there in the latest update to the processing plugin.

Saber, it works fine here. What script file did you tested?

#7 - 2015-05-26 02:19 PM - Saber Razmjooei

Gio, it comes up with a python error as soon as I try to load a file.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/Saber/.qgis2/python/plugins\\processing\\gui\\ProcessingToolbox.py", line 219, in executeAlgorithm

    action.execute()

  File "C:/Users/Saber/.qgis2/python/plugins\\processing\\script\\AddScriptFromFileAction.py", line 45, in execute

    settings = QSettings()

NameError: global name 'QSettings' is not defined

#8 - 2015-05-26 02:22 PM - Jürgen Fischer

Saber Razmjooei wrote:

Gio, it comes up with a python error as soon as I try to load a file.

An error has occured while executing Python code:
Traceback (most recent call last):

File "C:/Users/Saber/.qgis2/python/plugins\\processing\\gui\\ProcessingToolbox.py", line 219, in executeAlgorithm

action.execute()

File "C:/Users/Saber/.qgis2/python/plugins\\processing\\script\\AddScriptFromFileAction.py", line 45, in execute

settings = QSettings()

NameError: global name 'QSettings' is not defined

Is it fixed in the processing shipped with QGIS?

#9 - 2015-05-26 02:27 PM - Saber Razmjooei

- Affected QGIS version changed from master to 2.8.2

Works fine in master and 2.8.1 but not 2.8.2.

#10 - 2015-05-26 11:48 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Is it fixed in the processing shipped with QGIS?

it is fixed in qgis master (I confirmed Saber observation that with Processing shipped with 2.8.2 does not work). We usually close tickets with issues fixed in

master, please reopen if necessary.

#11 - 2015-05-29 07:40 AM - stefano campus

i still have this error in master (2.9.0-Master Revisione codice QGIS 7db5272)

s.

#12 - 2015-05-29 07:45 AM - Giovanni Manghi

stefano campus wrote:

i still have this error in master (2.9.0-Master Revisione codice QGIS 7db5272)

s.

please attach the script.
